package com.faraphel.tasks_valider.ui.screen.room

import androidx.compose.foundation.layout.Column
import androidx.compose.material3.Button
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.faraphel.tasks_valider.connectivity.bwf.BwfManager


/**
 * This screen will allow the user to choose which room is he connecting to, or let him create one.
 */
@Composable
fun RoomScreen(bwfManager: BwfManager) {
    val navController = rememberNavController()

    NavHost(navController = navController, startDestination = "pickMode") {
        composable(route = "pickMode") {
            Column {
                Button(onClick = { navController.navigate("client") }) {
                    Text(text = "Join a room")
                }
                Button(onClick = { navController.navigate("host") }) {
                    Text(text = "Create a room")
                }
            }
        }
        composable(route = "client") {
            RoomClientScreen(bwfManager)
        }
        composable(route = "host") {
            RoomHostScreen(bwfManager)
        }
    }
}